Bug 33356

Summary: style-queue should not complain about identifier names with underscores under WebKit/gtk/webkit/
Product: WebKit Reporter: Gustavo Noronha (kov) <gustavo>
Component: Tools / TestsAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: cjerdonek, commit-queue, gustavo, hamaji, levin, mjs
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: PC   
OS: OS X 10.5   
Attachments:
Description Flags
Patch
none
Patch none

Description Gustavo Noronha (kov) 2010-01-07 17:06:52 PST
Our APIs use GTK+ style naming, so we need to use lower-cased, _-separated names there. An example of this happenning:

https://bugs.webkit.org/show_bug.cgi?id=32819#c4
Comment 1 Adam Barth 2010-01-17 15:56:29 PST
Created attachment 46765 [details]
Patch
Comment 2 Adam Barth 2010-01-17 16:44:23 PST
Created attachment 46771 [details]
Patch
Comment 3 David Levin 2010-01-19 11:06:09 PST
Looks fine to me, but I'd prefer Hamaji to review (and Chris to comment if he wishes), since they have been a huge amount on this (and there may be a better way that they put in place).
Comment 4 Chris Jerdonek 2010-01-19 19:14:19 PST
I would prefer to keep filename-specific logic out of cpp_style.py, and to do something like this as a configuration in checker.py.  I made a bug report about this last week here:

https://bugs.webkit.org/show_bug.cgi?id=33684

But because that enhancement isn't implemented yet, I think it's fine for now.  I'll go ahead and make a note in that report that this is another use-case for directory-specific exemptions from particular rules.  When that's implemented, this change can be refactored.
Comment 5 WebKit Commit Bot 2010-01-21 11:54:24 PST
Comment on attachment 46771 [details]
Patch

Clearing flags on attachment: 46771

Committed r53636: <http://trac.webkit.org/changeset/53636>
Comment 6 WebKit Commit Bot 2010-01-21 11:54:30 PST
All reviewed patches have been landed.  Closing bug.